Bug 200425 - C beautifier support for bigloo is missing
C beautifier support for bigloo is missing
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: bigloo (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-27 12:58 EDT by Jerry James
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-31 12:16:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add C beautifier support (664 bytes, patch)
2006-07-27 12:58 EDT, Jerry James
no flags Details | Diff

  None (edit)
Description Jerry James 2006-07-27 12:58:48 EDT
Description of problem:
C beautifier support is not being configured into bigloo, making its output
somewhat harder to read.

Version-Release number of selected component (if applicable):
bigloo-2.8b-2.fc5

How reproducible:
Always

Steps to Reproduce:
1. rpmbuild -bc bigloo.spec
2. Look at the output of the bigloo configure script
3.
  
Actual results:
C beautifier support is missing

Expected results:
C beautifier support ought to invoke GNU indent

Additional info:
The bigloo configure script is looking for /usr/local/bin/indent, but indent is
in /usr/bin on Fedora Core systems.  I will attach a patch that fixes the
problem.  In addition to the patch, bigloo.spec should be modified to include a
BuildRequires: indent.  A corresponding Requires: indent is not necessary, since
the Scheme code deals with a failure to invoke indent, but it has to be present
at build time or support is not included.
Comment 1 Jerry James 2006-07-27 12:58:49 EDT
Created attachment 133171 [details]
Patch to add C beautifier support
Comment 2 Gérard Milmeister 2006-07-27 13:32:50 EDT
Thanks for spotting this. I will fix this in the next release.
I just tried 2.8c-alpha, but the bdb problem bug #200337 persists.

Note You need to log in before you can comment on or make changes to this bug.